<?php
/**
 * configuration class
 *
 */
class configuration
{
	var $data;
	
	/**
	 * initiated the configuration class
	 *
	 * @param object $configuration_object
	 */
	function configuration( $configuration_object ){
		$this->data = $configuration_object;
		$this->data->name = constant($this->data->configuration_key.'_TITLE');
		$this->data->desc = constant($this->data->configuration_key.'_DESC');

	}

	/**
	 * return array with table data
	 *
	 * @return array
	 */
	function get_smarty_data_array(){
		$array = (array) $this->data;
		return $array;
	}
}
